DMENU(1)

NAME
dmenu - dynamic menu

SYNOPSIS
dmenu [-b] [-f] [-r] [-i] [-z] [-t] [-mask] [-noinput] [-s screen] [-name name] [-class class] [-o opacity] [-dim opacity] [-dc color] [-l lines] [-h height] [-w width] [-p prompt] [-fn font] [-nb color] [-nf color] [-sb color] [-sf color] [-v]

dmenu_run ...

DESCRIPTION
dmenu is a dynamic menu for X, which reads a list of newline-separated items from stdin. When the user selects an item and presses Return, their choice is printed to stdout and dmenu terminates. Entering text will narrow the items to those matching the tokens in the input.

dmenu_run is a script used by dwm(1) which lists programs in the user's $PATH and runs the result in their $SHELL.

OPTIONS

-b  dmenu appears at the bottom of the screen.

-q  dmenu will not show any items if the search string is empty.

-f  dmenu grabs the keyboard before reading stdin. This is faster, but will lock up X until stdin reaches end-of-file.

-r  activates filter mode. All matching items currently shown in the list will be selected, starting with the item that is highlighted and wrapping around to the beginning of the list.

-i  dmenu matches menu items case insensitively.

-z  dmenu uses fuzzy matching. It matches items that have all characters entered, in sequence they are entered, but there may be any number of characters between matched characters. For example it takes "txt" makes it to "*t*x*t" glob pattern and checks if it matches.

-t  dmenu uses space-separated tokens to match menu items. Using this overrides -z option.

-mask
    dmenu masks input with asterisk characters (*).

-noinput
    dmenu ignores input from stdin (equivalent to: echo | dmenu).

-s screen
    dmenu apears on the specified screen number. Number given corespondes to screen number in X configuration.

-name name
    defines window name for dmenu. Defaults to "dmenu".

-class class
    defines window class for dmenu. Defaults to "Dmenu".

-o opacity
    defines window opacity for dmenu. Defaults to 1.0.

-dim opacity
    enables screen dimming when dmenu appers. Takes dim opacity as argument.

-dc color
    defines color of screen dimming. Active only when -dim in effect. Defautls to black (#000000)

-l lines
    dmenu lists items vertically, with the given number of lines.

-h height
    defines the height of the bar in pixels.

-p prompt
    defines the prompt to be displayed to the left of the input field.

-fn font
    defines the font or font set used. eg. "fixed" or "Monospace-12:normal" (an xft font)

-x xoffset
    defines the offset from the left border of the screen.

-y yoffset
    defines the offset from the top border of the screen.

-w width
    defines the desired menu window width.

-nb color
    defines the normal background color. #RGB, #RRGGBB, and X color names are supported.

-nf color
    defines the normal foreground color.

-sb color
    defines the selected background color.

-sf color
    defines the selected foreground color.

-v  prints version information to stdout, then exits.

USAGE
dmenu is completely controlled by the keyboard. Items are selected using the arrow keys, page up, page down, home, and end.

Tab Copy the selected item to the input field.

Return
    Confirm selection. Prints the selected item to stdout and exits, returning success.

Shift-Return
    Confirm input. Prints the input text to stdout and exits, returning success.

Escape
    Exit without selecting an item, returning failure.

C-a Home

C-b Left

C-c Escape

C-d Delete

C-e End

C-f Right

C-g Escape

C-h Backspace

C-i Tab

C-j Return

C-J Shift-Return

C-k Delete line right

C-m Return

C-n Down

C-p Up

C-u Delete line left

C-w Delete word left

C-y Paste from primary X selection

C-Y Paste from X clipboard

M-g Home

M-G End

M-h Up

M-j Page down

M-k Page up

M-l Down

SEE ALSO
dwm(1), stest(1)